%define upstream_name	 Youri-Config
%define upstream_version 0.2.1

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Youri configuration handler
License:    GPL+ or Artistic
Group:      Development/Other
Url:        http://youri.zarb.org
Source0:     http://youri.zarb.or/download/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(YAML::AppConfig)
BuildRequires: perl-version

BuildArch:  noarch

Requires:   perl-version
%description
YOURI stands for "Youri Offers an Upload & Repository Infrastucture". It aims
to build tools making management of a coherent set of packages easier.

This package provides configuration handling for other youri programs.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%__make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc ChangeLog META.yml README
%{perl_vendorlib}/Youri
%{_mandir}/man3/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.2.1-4.mga3
+ Revision: 375330
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 11 2011 spuhler <spuhler> 0.2.1-3.mga2
+ Revision: 103887
- increase rel for rebuild

* Mon Feb 28 2011 jquelin <jquelin> 0.2.1-2.mga1
+ Revision: 61657
- adding missing buildrequires:
- rebuild
- update to 0.2.1

* Sun Jan 23 2011 jquelin <jquelin> 0.2.0-5.mga1
+ Revision: 34495
- mageia rebuild
- imported package perl-Youri-Config

